com.trendmicro.ds.platform.rest.object.scheduledtask

## Enum MonthlyScheduleParameters.Week

- java.lang.Object
- - java.lang.Enum<MonthlyScheduleParameters.Week>
  - - com.trendmicro.ds.platform.rest.object.scheduledtask.MonthlyScheduleParameters.Week

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<MonthlyScheduleParameters.Week>
  Enclosing class:
    MonthlyScheduleParameters

      public static enum MonthlyScheduleParameters.Week
      extends java.lang.Enum<MonthlyScheduleParameters.Week>

  Week of month.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FIRST`
    `FOURTH`
    `LAST`
    `SECOND`
    `THIRD`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MonthlyScheduleParameters.Week` | `forValue(int value)`
    `int` | `getValue()`
    `static MonthlyScheduleParameters.Week` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static MonthlyScheduleParameters.Week[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FIRST

          public static final MonthlyScheduleParameters.Week FIRST

    - #### SECOND

          public static final MonthlyScheduleParameters.Week SECOND

    - #### THIRD

          public static final MonthlyScheduleParameters.Week THIRD

    - #### FOURTH

          public static final MonthlyScheduleParameters.Week FOURTH

    - #### LAST

          public static final MonthlyScheduleParameters.Week LAST

  - ### Method Detail

    - #### values

          public static MonthlyScheduleParameters.Week[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MonthlyScheduleParameters.Week c : MonthlyScheduleParameters.Week.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MonthlyScheduleParameters.Week valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()

    - #### forValue

          public static MonthlyScheduleParameters.Week forValue(int value)

Copyright © 2017 Trend Micro Inc. All Rights Reserved.